### Installation

After installing `npm` run

```
npm install
```

Start the application in debug mode with

```
npm run dev
```

Build and run the application for production use with

```
npm run build
npm run start
```


### Configuration

Configuration has to be specified in `nuxt.config.js`. Setting the OpenID Connect paramaters
correctly is essential for the login process to work

For details on how to configure authentication for external providers like GitHub or Facebook
please refer to [the nuxt-oauth documentation](https://auth.nuxtjs.org/schemes/oauth2.html)


### Usage

Navigate your browser to the `server` URL, that you specified in `nuxt.config.js`. The default port
is 3000.

As an administrator you can access the user backend API by accessing the api endpoint
that is exposed by the userpanel at `/api/admin/graphql`. If you run your backend server in
development mode, you can access the `GraphiQL` web interface of the backend by navigating
your browser to the URL.
Note that you need to manually provide a cookie containing the Baerer token in case you don't
access the api with a browser that automatically includes your cookie in the request.
Passing the token as a GET or POST variable is not supported.
