const httpProxy = require('http-proxy')
const proxy = httpProxy.createProxyServer()
const nuxtConfig = require('../../nuxt.config')
const API_URL = nuxtConfig.env.BACKEND_API_URL || 'http://localhost:5000/graphql'
const { Router } = require('express')

const router = Router()

// Proxy all requests going to this route to the API URL.
router.use(function(req, res, next) {
  proxy.web(req, res, {
    target: API_URL,
    ignorePath: true // Don't add a trailing '/'
  })
})

module.exports = router
